#!/bin/tcsh

# setenv LOG4J_PROPS -Dlog4j.configuration=file://$HOME/log4j.props
#setenv LOG4J_PROPS file://${HOME}/log4j.props
setenv LOG4J_PROPS file://${PWD}/log4j.props

setenv XERCESJ_JAR /usr/share/java/xerces-j1-1.4.4.jar
setenv JUNIT_JAR /usr/share/java/junit.jar
setenv LOG4J_JAR /usr/share/java/log4j.jar

if ( -r ${RGMA_HOME}/externals/share/java/log4j.jar ) then
        setenv LOG4J_JAR "${RGMA_HOME}/externals/share/java/log4j.jar"
else if ( -r /usr/share/java/log4j.jar ) then
        setenv LOG4J_JAR "/usr/share/java/log4j.jar"
endif

if ($?CLASSPATH) then
   setenv CLASSPATH "$CLASSPATH":"."
else
   setenv CLASSPATH "."
endif


# For gLite R-GMA:
setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/share/java/":"$XERCESJ_JAR":"$JUNIT_JAR":"$LOG4J_JAR"
setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/share/java/glite-rgma-api-java.jar"
setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/share/java/glite-rgma-stubs-servlet-java.jar"
setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/share/java/glite-security-util-java.jar"
setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/share/java/glite-security-trustmanager.jar"
#setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/share/java/glite-rgma-log4j.jar"

setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/externals/share/java/"
setenv CLASSPATH "$CLASSPATH":"${RGMA_HOME}/externals/share/java/bcprov-jdk14-122.jar"

echo $CLASSPATH
