#export LOG4J_PROPS="file://${HOME}/log4j.props"
export LOG4J_PROPS="file://${PWD}/log4j.props"

export XERCESJ_JAR=/usr/share/java/xerces-j1-1.4.4.jar
export JUNIT_JAR=/usr/share/java/junit.jar

if [ -r ${RGMA_HOME}/externals/share/java/log4j.jar ]; then
	export LOG4J_JAR=${RGMA_HOME}/externals/share/java/log4j.jar
elif [ -r /usr/share/java/log4j.jar ]; then
	export LOG4J_JAR=/usr/share/java/log4j.jar
fi

if [ ${CLASSPATH:-false} = "false" ]; then
   export CLASSPATH="."
else 
   export CLASSPATH="$CLASSPATH":"."
fi


# For gLite R-GMA: 
export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/share/java/":"$XERCESJ_JAR":"$JUNIT_JAR":"$LOG4J_JAR"
export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/share/java/glite-rgma-api-java.jar"
export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/share/java/glite-rgma-stubs-servlet-java.jar"
export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/share/java/glite-security-util-java.jar"
export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/share/java/glite-security-trustmanager.jar"
#export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/share/java/glite-rgma-log4j.jar"

export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/externals/share/java/"
export CLASSPATH="$CLASSPATH":"${RGMA_HOME}/externals/share/java/bcprov-jdk14-122.jar"

echo ${CLASSPATH}

